#include "Skins Support XP.h"



HINSTANCE g_hInst;
HICON g_hAppIco;

int APIENTRY  WinMain(HINSTANCE hInstance,HINSTANCE hPrevInstance,LPSTR lpCmdLine,int nCmdShow)
{
	g_hInst=hInstance;
	DialogBox(hInstance, (LPCTSTR)IDD_DLG_MAIN, 0, (DLGPROC)DlgProcMain);
	return 0;

}
LRESULT CALLBACK DlgProcMain(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{

	switch (message)
	{
	case WM_INITDIALOG:
		InitCommonControls();
			g_hAppIco=LoadIcon(g_hInst, MAKEINTRESOURCE(IDI_ICO_MAIN));
			SendMessage(hWnd,WM_SETICON,ICON_BIG,(LPARAM)g_hAppIco);
		return true;

	case WM_COMMAND:
		{
			switch (LOWORD(wParam))
			{

			case  IDC_ABOUT:
					DialogBox(g_hInst, (LPCTSTR)IDD_DLG_ABOUT,hWnd, (DLGPROC)DlgProcAbout);
				break;
			case IDC_SELFILE:
					GetFileName(hWnd,GetDlgItem(hWnd,IDC_TEXTBOX));
					En_DisableButton(hWnd);
					break;
			case IDC_ADD:
				On_Add(hWnd);
				break;
			case IDC_REMOVE:
				On_Remove(hWnd);
				break;
			}

			break;
		}
	case WM_CLOSE:
		PostQuitMessage(0);
		DestroyWindow(hWnd);
		break;
	}
	return FALSE;
}


LRESULT CALLBACK DlgProcAbout(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{

	switch (message)
	{
	case WM_COMMAND:
		{
			if (LOWORD(wParam) == IDC_OK)
				EndDialog(hWnd,1);
			break;
		}

	case WM_INITDIALOG:
		{
			SendMessage(hWnd,WM_SETICON,ICON_BIG,(LPARAM)g_hAppIco);
		return true;
		}

	case WM_CLOSE:
		{
		EndDialog(hWnd,1);
			break;
		}
	case WM_DESTROY:
		{
		DestroyWindow(hWnd);
			break;
		}
	
	}
	return FALSE;
}


void GetFileName(HWND hwnd,HWND hTextBox)
{
OPENFILENAME ofn;
char szFile[MAX_PATH + 1]; 

szFile[0]=0;

ZeroMemory(&ofn, sizeof(ofn));

ofn.lStructSize = sizeof(ofn);
ofn.hwndOwner = hwnd;
ofn.lpstrFile = szFile;
ofn.lpstrFile[0] = '\0';
ofn.nMaxFile = sizeof(szFile);
ofn.lpstrFilter ="Programs\0*.exe\0\0" "All Picture Files (*.bmp,*.gif,*.jpg,*.jpeg,*.dib,*.png)\0*.bmp;*.gif;*.jpg;*.jpeg;*.dib;*.png\0";
ofn.nFilterIndex = 1;
ofn.lpstrFileTitle = NULL;
ofn.nMaxFileTitle = 0;
ofn.lpstrTitle="Choose a program";
ofn.lpstrInitialDir = NULL;
ofn.Flags = OFN_PATHMUSTEXIST | OFN_FILEMUSTEXIST;

if (GetOpenFileName(&ofn)==TRUE)
	SetWindowText(hTextBox,szFile);


}
void En_DisableButton (HWND hDlgMain)
{
char szText[MAX_PATH + 1 ];
char szFile[MAX_PATH + 1 ];

	GetDlgItemText(hDlgMain,IDC_TEXTBOX,szText,sizeof(szText));
	if (PathFileExists(szText)==TRUE)
	{
		lstrcpy(szFile,szText);
		lstrcat(szFile,".manifest");

			if (PathFileExists(szFile)==TRUE)
			{
				EnableWindow(GetDlgItem(hDlgMain,IDC_ADD),FALSE);
				EnableWindow(GetDlgItem(hDlgMain,IDC_REMOVE),TRUE);
			}
			else
			{
				EnableWindow(GetDlgItem(hDlgMain,IDC_ADD),TRUE);
				EnableWindow(GetDlgItem(hDlgMain,IDC_REMOVE),FALSE);

			}
	}
	else
	{
		EnableWindow(GetDlgItem(hDlgMain,IDC_ADD),FALSE);
		EnableWindow(GetDlgItem(hDlgMain,IDC_REMOVE),FALSE);
	}
}


void On_Add(HWND hDlgMain)
{
char chTarget[MAX_PATH +1];
HANDLE hFile;
DWORD dwWr;

GetDlgItemText(hDlgMain,IDC_TEXTBOX,chTarget,sizeof(chTarget));
lstrcat(chTarget,".manifest");

hFile = CreateFile(chTarget, GENERIC_WRITE,
      0, 0, CREATE_NEW,FILE_ATTRIBUTE_HIDDEN, 0);
if (hFile ==INVALID_HANDLE_VALUE)
		MessageBox(hDlgMain,"Cant Add Visual Styles Support.","Error",MB_ICONSTOP | MB_OK);
else
{
	WriteFile(hFile, chData,
         sizeof(chData), &dwWr, 0);
	  CloseHandle(hFile);
	  	MessageBox(hDlgMain,"Successfully Added Visual Styles Support.","Done",MB_ICONINFORMATION| MB_OK);
}
	SetDlgItemText(hDlgMain,IDC_TEXTBOX,"");
	En_DisableButton(hDlgMain);
}

void On_Remove(HWND hDlgMain)
{
char chFile[MAX_PATH + 1];

GetDlgItemText(hDlgMain,IDC_TEXTBOX,chFile,sizeof(chFile));
lstrcat(chFile,".manifest");

	if (DeleteFile(chFile)==0)
	MessageBox(hDlgMain,"Unable to remove skin support.","Error",MB_ICONSTOP | MB_OK);
	else
	MessageBox(hDlgMain,"Successfully removed Visual Styles Support.","Done",MB_ICONINFORMATION| MB_OK);

	SetDlgItemText(hDlgMain,IDC_TEXTBOX,"");
	En_DisableButton(hDlgMain);
}